Bug 99122 - Send as microsoft Word e-mail under file menu sends as .doc instead of now prevalent .docx
Summary: Send as microsoft Word e-mail under file menu sends as .doc instead of now pr...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: framework (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-06 13:18 UTC by Richard Prins
Modified: 2018-11-16 07:45 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Prins 2016-04-06 13:18:27 UTC
Writer provides the option send under the file menu. There one can select: send document as microsoft word file in an email. Here a .doc file is generated instead of the now common .docx . The .doc format is falling into disuse, and might be supported by less programs than the ubiquitous docx file format.
Comment 1 raal 2016-04-07 05:09:19 UTC
It's the same for Calc and Impress> xls/xlsx, ppt/pptx

Setting as new enhancement - make it configurable.
Comment 2 Commit Notification 2018-11-16 07:45:35 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/bbf5c85c2affa47fe0f6674dd0ee8ccc55446769%5E%21

tdf#99122 Send as email: prefer ooxml formats

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.